Package org.eclipse.lemminx.client

## Class ExtendedClientCapabilities

- java.lang.Object
- - org.eclipse.lemminx.client.ExtendedClientCapabilities

    public class ExtendedClientCapabilities
    extends Object

Extended client capabilities not defined by the LSP.

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`ExtendedClientCapabilities()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ExtendedCodeLensCapabilities` `getCodeLens()`
`boolean` `isActionableNotificationSupport()` Returns true if the client supports actionable notifications and false otherwise See `ActionableNotification` and `XMLLanguageClientAPI.actionableNotification(org.eclipse.lemminx.customservice.ActionableNotification)`
`boolean` `isBindingWizardSupport()` Returns true if the client supports the `xml.open.binding.wizard` command using dropdown and false otherwise
`boolean` `isOpenSettingsCommandSupport()` Returns true if the client supports the open settings command and false otherwise See `ClientCommands.OPEN_SETTINGS`
`void` `setActionableNotificationSupport​(boolean actionableNotificationSupport)` Sets the actionableNotificationSupport boolean
`void` `setBindingWizardSupport​(boolean bindingWizardSupport)` Sets the bindingWizardSupport boolean
`void` `setCodeLens​(ExtendedCodeLensCapabilities codeLens)`
`void` `setOpenSettingsCommandSupport​(boolean openSettingsCommandSupport)` Sets the openSettingsCommandSupport boolean
`void` `setShouldLanguageServerExitOnShutdown​(boolean shouldLanguageServerExitOnShutdown)` Sets the boolean permitting language server to exit on client shutdown() request, without waiting for client to call exit()
`boolean` `shouldLanguageServerExitOnShutdown()` Returns true if the client should exit on shutdown() request and avoid waiting for an exit() request

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExtendedClientCapabilities

    public ExtendedClientCapabilities()

### Method Detail

#### getCodeLens

    public ExtendedCodeLensCapabilities getCodeLens()

#### setCodeLens

    public void setCodeLens​(ExtendedCodeLensCapabilities codeLens)

#### isActionableNotificationSupport

    public boolean isActionableNotificationSupport()

Returns true if the client supports actionable notifications and false otherwise See `ActionableNotification` and `XMLLanguageClientAPI.actionableNotification(org.eclipse.lemminx.customservice.ActionableNotification)`

Returns:
  true if the client supports actionable notifications and false otherwise

#### setActionableNotificationSupport

    public void setActionableNotificationSupport​(boolean actionableNotificationSupport)

Sets the actionableNotificationSupport boolean

Parameters:
  `actionableNotificationSupport` -

#### isOpenSettingsCommandSupport

    public boolean isOpenSettingsCommandSupport()

Returns true if the client supports the open settings command and false otherwise See `ClientCommands.OPEN_SETTINGS`

Returns:
  true if the client supports the open settings command and false otherwise

#### setOpenSettingsCommandSupport

    public void setOpenSettingsCommandSupport​(boolean openSettingsCommandSupport)

Sets the openSettingsCommandSupport boolean

Parameters:
  `openSettingsCommandSupport` -

#### isBindingWizardSupport

    public boolean isBindingWizardSupport()

Returns true if the client supports the `xml.open.binding.wizard` command using dropdown and false otherwise

Returns:
  bindingWizardSupport

#### setBindingWizardSupport

    public void setBindingWizardSupport​(boolean bindingWizardSupport)

Sets the bindingWizardSupport boolean

Parameters:
  `bindingWizardSupport` -

#### setShouldLanguageServerExitOnShutdown

    public void setShouldLanguageServerExitOnShutdown​(boolean shouldLanguageServerExitOnShutdown)

Sets the boolean permitting language server to exit on client shutdown() request, without waiting for client to call exit()

Parameters:
  `shouldLanguageServerExitOnShutdown` -

#### shouldLanguageServerExitOnShutdown

    public boolean shouldLanguageServerExitOnShutdown()

Returns true if the client should exit on shutdown() request and avoid waiting for an exit() request

Returns:
  true if the language server should exit on shutdown() request